# Class StrikeAccountPayload

#### Hierarchy

- unknown
  - StrikeAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:5197
- Defined in src/protobuf/pb_pb.d.ts:5209

#####
Index

### Constructors

constructor

### Methods

getHolderName
serializeBinary
setHolderName
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new StrikeAccountPayload(): StrikeAccountPayload

- #### Returns StrikeAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:5198

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5201

### setHolderName

- setHolderName(value: string): StrikeAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns StrikeAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5199

### toObject

- toObject(includeInstance?: boolean): StrikeAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns StrikeAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5202

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): StrikeAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StrikeAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5205

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StrikeAccountPayload, reader: BinaryReader): StrikeAccountPayload

- #### Parameters

  - ##### message: StrikeAccountPayload

  - ##### reader: BinaryReader

  #### Returns StrikeAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:5206

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: StrikeAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: StrikeAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5204

### `Static` toObject

- toObject(includeInstance: boolean, msg: StrikeAccountPayload): StrikeAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StrikeAccountPayload

  #### Returns StrikeAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5203

Generated using TypeDoc